org.scalatest.events

# IndentedText

#### case class IndentedText (formattedText: String, rawText: String, indentationLevel: Int) extends Formatter with Product with Serializable

A `Formatter` providing information that enables reporters to create more stylized output.

An example is that specification-style suites, such as `Spec`, generate output that reads more like a specification, for instance:

    A Stack (when newly created)
    - should be empty
    - should complain when popped

This output might be generated by ScalaTest's standard out reporter. Each of these lines would be taken from the `IndentedText`'s `formattedText` parameter. Were this same run to be reported in HTML or in a GUI, the output would be based on the `rawText` and the `indentationLevel`. Here's what the `IndentedText` values would be for each event:

- `InfoProvided` reported with an:

      IndentedText(
        formattedText = "A Stack (when newly created)",
        rawText = "A Stack (when newly created)",
        indentationLevel = 0
      )

- `TestSucceeded` reported with an:

      IndentedText(
        formattedText = "- should be empty",
        rawText = "should be empty",
        indentationLevel = 1
      )

- `TestSucceeded` reported with an:

      IndentedText(
        formattedText = "- should complain when popped",
        rawText = "should complain when popped",
        indentationLevel = 1
      )

One possible way this information could be presented in HTML, for example, is this:

A Stack (when newly created)

- should be empty
- should complain when popped

formattedText

  a localized string suitable for presenting to a user by printing it straight to an output stream

rawText

  a localized string suitable for presenting to the user after in some way being indented by the value specified as the `indentationLevel` parameter

indentationLevel

  a zero or positive integer representing an indentation level for the indented text

Attributes
  final

Linear Supertypes
Serializable, Serializable, Product, Equals, Formatter, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. IndentedText
2. Serializable
3. Serializable
4. Product
5. Equals
6. Formatter
7. AnyRef
8. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new IndentedText (formattedText: String, rawText: String, indentationLevel: Int)

   formattedText

     a localized string suitable for presenting to a user by printing it straight to an output stream

   rawText

     a localized string suitable for presenting to the user after in some way being indented by the value specified as the `indentationLevel` parameter

   indentationLevel

     a zero or positive integer representing an indentation level for the indented text

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

7. #### def canEqual (arg0: Any): Boolean

   Definition Classes
     IndentedText → Equals

8. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

9. #### def eq (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

10. #### def equals (arg0: Any): Boolean

    Definition Classes
      IndentedText → Equals → AnyRef → Any

11. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

12. #### val formattedText : String

    a localized string suitable for presenting to a user by printing it straight to an output stream

13. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

14. #### def hashCode (): Int

    Definition Classes
      IndentedText → AnyRef → Any

15. #### val indentationLevel : Int

    a zero or positive integer representing an indentation level for the indented text

16. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

17. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

18. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

19. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

20. #### def productArity : Int

    Definition Classes
      IndentedText → Product

21. #### def productElement (arg0: Int): Any

    Definition Classes
      IndentedText → Product

22. #### def productIterator : Iterator[Any]

    Definition Classes
      Product

23. #### def productPrefix : String

    Definition Classes
      IndentedText → Product

24. #### val rawText : String

    a localized string suitable for presenting to the user after in some way being indented by the value specified as the `indentationLevel` parameter

25. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

26. #### def toString (): String

    Definition Classes
      IndentedText → AnyRef → Any

27. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

28. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

29. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

30. #### def productElements : Iterator[Any]

    Definition Classes
      Product
    Annotations
      @deprecated
    Deprecated

      use productIterator instead

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Formatter

### Inherited from AnyRef

### Inherited from Any